# GetIP

### string GetIP()

현재 설정된 IP를 반환해 줌.

SetIP 함수를 이용하여 EZGemPlus에 설정한 IP주소를 문자열로 반환 해 줌. IP는 Active Mode로 작동 시 접속을 시도 할 대상IP를 의미 합니다.

ReturnValue

<table data-header-hidden><thead><tr><th width="205" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Value</td><td valign="top">Description</td></tr><tr><td valign="top">string</td><td valign="top">현재 설정된 IP를 문자열로 반환</td></tr></tbody></table>

{% hint style="warning" %}
Active모드시에만 사용합니다.
{% endhint %}

```csharp
string strIP = m_gem.GetIP();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined/getip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
